| Fast CDR Version 2.3.6 Fast CDR

Loading...
Searching...
No Matches
eprosima::fastcdr Namespace Reference

## Namespaces

namespace | exception
namespace | detail

## Classes

class | Cdr
| This class offers an interface to serialize/deserialize some basic types using CDR protocol inside an eprosima::fastcdr::FastBuffer. More...
struct | fixed_string
| Template class for non-alloc strings. More...
class | CdrSizeCalculator
| This class offers an interface to calculate the encoded size of a type serialized using a support encoding algorithm. More...
class | _FastBuffer_iterator
| This class implements the iterator used to go through a FastBuffer. More...
class | FastBuffer
| This class represents a stream of bytes that contains (or will contain) serialized data. More...
class | FastCdr
| This class offers an interface to serialize/deserialize some basic types using a modified CDR protocol inside a eprosima::FastBuffer. More...
class | external
| This class template manages an external member, a member declared to be external to the storage of a type. More...
class | MemberId
struct | nullopt_t
| An empty class type used to indicate optional type with uninitialized state. More...
class | optional
| This class template manages an optional contained value, i.e. More...

## Typedefs

using | string_255 = fixed_string<255>

## Enumerations

enum | CdrVersion { CORBA_CDR = 0 , DDS_CDR = 1 , XCDRv1 = 2 , XCDRv2 = 3 }
| This enumeration represents the kinds of CDR serialization supported by eprosima::fastcdr::CDR. More...
enum | EncodingAlgorithmFlag : uint8_t { PLAIN_CDR = 0x0 , PL_CDR = 0x2 , PLAIN_CDR2 = 0x6 , DELIMIT_CDR2 = 0x8 , PL_CDR2 = 0xa }
| This enumeration represents the supported XCDR encoding algorithms. More...

## Functions

template<class _T>
void | serialize (Cdr &, const _T &)
template<class _T>
void | deserialize (Cdr &, _T &)
template<class _T>
size_t | calculate_serialized_size (CdrSizeCalculator &, const _T &, size_t &)
constexpr bool | is_multi_array_primitive (...)
| Basis.
template<typename _T, typename std::enable_if< std::is_enum< _T >::value||std::is_arithmetic< _T >::value >::type * = nullptr>
constexpr bool | is_multi_array_primitive (_T const *)
| Specializations.
template<typename _T, size_t _N>
constexpr bool | is_multi_array_primitive (std::array< _T, _N > const *)

## Variables

static const MemberId | MEMBER_ID_INVALID {}
static constexpr nullopt_t | nullopt {0}
| nullopt is a constant of type nullopt_t that is used to indicate optional type with uninitialized state.

## Typedef Documentation

## ◆ string_255

using string_255 = fixed_string<255>

## Enumeration Type Documentation

## ◆ CdrVersion

enum CdrVersion

This enumeration represents the kinds of CDR serialization supported by eprosima::fastcdr::CDR.

Enumerator
CORBA_CDR | Common CORBA CDR serialization.
DDS_CDR | DDS CDR serialization.
XCDRv1 | XCDRv1 encoding defined by standard DDS X-Types 1.3.
XCDRv2 | XCDRv2 encoding defined by standard DDS X-Types 1.3.

## ◆ EncodingAlgorithmFlag

enum EncodingAlgorithmFlag : uint8_t

This enumeration represents the supported XCDR encoding algorithms.

Enumerator
PLAIN_CDR | Specifies that the content is PLAIN_CDR.
PL_CDR | Specifies that the content is PL_CDR,.
PLAIN_CDR2 | Specifies that the content is PLAIN_CDR2.
DELIMIT_CDR2 | Specifies that the content is DELIMIT_CDR2.
PL_CDR2 | Specifies that the content is PL_CDR2.

## Function Documentation

## ◆ calculate_serialized_size()

template<class _T>

size_t calculate_serialized_size | ( | CdrSizeCalculator & | ,
|  | const _T & | ,
|  | size_t & | )

extern

## ◆ deserialize()

template<class _T>

void deserialize | ( | Cdr & | ,
|  | _T & | )

extern

## ◆ is_multi_array_primitive() [1/3]

bool is_multi_array_primitive | ( |  | ... | ) |

constexpr

Basis.

## ◆ is_multi_array_primitive() [2/3]

template<typename _T, typename std::enable_if< std::is_enum< _T >::value||std::is_arithmetic< _T >::value >::type * = nullptr>

bool is_multi_array_primitive | ( | _T const * |  | ) |

constexpr

Specializations.

## ◆ is_multi_array_primitive() [3/3]

template<typename _T, size_t _N>

bool is_multi_array_primitive | ( | std::array< _T, _N > const * |  | ) |

constexpr

## ◆ serialize()

template<class _T>

void serialize | ( | Cdr & | ,
|  | const _T & | )

extern

## Variable Documentation

## ◆ MEMBER_ID_INVALID

const MemberId MEMBER_ID_INVALID {}

static

## ◆ nullopt

nullopt_t nullopt {0}

static constexpr

nullopt is a constant of type nullopt_t that is used to indicate optional type with uninitialized state.